Gentoo Archives: gentoo-commits

From: "Manuel Rüger" <mrueg@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emulation/docker-proxy/
Date: Wed, 09 Oct 2019 16:57:48
Message-Id: 1570640248.60c3c138353e5b0f54dcdf37434f86074209c73e.mrueg@gentoo
commit:     60c3c138353e5b0f54dcdf37434f86074209c73e
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Wed Oct  9 14:20:02 2019 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Wed Oct  9 16:57:28 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=60c3c138

app-emulation/docker-proxy: Version bump for docker-19.03.3

Package-Manager: Portage-2.3.76, Repoman-2.3.16
Signed-off-by: Manuel Rüger <mrueg <AT> gentoo.org>

 app-emulation/docker-proxy/Manifest                |  1 +
 .../docker-proxy-0.8.0_p20190807.ebuild            | 34 ++++++++++++++++++++++
 2 files changed, 35 insertions(+)

diff --git a/app-emulation/docker-proxy/Manifest b/app-emulation/docker-proxy/Manifest
index a387c1564a0..8622733d583 100644
--- a/app-emulation/docker-proxy/Manifest
+++ b/app-emulation/docker-proxy/Manifest
@@ -1,2 +1,3 @@
 DIST docker-proxy-0.8.0_p20190513.tar.gz 2705298 BLAKE2B ff897b18b8265b3d718caf7afaf10f7b8eeed9be0cc9c73b02d5c42c5c9ddd1be32cf7d1259ce26d56219cda57707e25e154e50cfa2cc80e823a4b924da4e5e0 SHA512 0a833510df0029999bfc05c23445a58a8b2ff165c0fb2fd5c411498d1e89b5b1990d2778b32346dd2b6d61c166ff707c6277a5d1937db6345c77d3825eb59875
 DIST docker-proxy-0.8.0_p20190604.tar.gz 2721379 BLAKE2B edc36302ca4b2be297505a5bfd8acd45f17bc752e88bcaa72f34e2d972230d92b9bfe3d0dccbb2f1e04718fb1adc95631fc0f533ca5572bdcfc468d843ce480e SHA512 dea31fd82ab2d445fbd39fe15550a91f7e489a06f6dedd32ea1925f7e9a7971952d26b874f9687249609a0d204ea35da357e0a957b819df2026a0cf8109cb354
+DIST docker-proxy-0.8.0_p20190807.tar.gz 3377742 BLAKE2B c1ccc76dd9157c715d09db27b6800a86b0dc7532089d87eb78a6e656f3b42d4c4824c34e972196038f915e3b08b12197f305fd1a86e3fe75fec621ed49e5e71a SHA512 ffe18805dc6b85f8b058e342cde2baedf2497465298daa444fecba8222885606c85242ca59016bc32a5c2c0164c1c980b92ed3d5f82e011a7e9871a67d67b947

diff --git a/app-emulation/docker-proxy/docker-proxy-0.8.0_p20190807.ebuild b/app-emulation/docker-proxy/docker-proxy-0.8.0_p20190807.ebuild
new file mode 100644
index 00000000000..1c5ef257e17
--- /dev/null
+++ b/app-emulation/docker-proxy/docker-proxy-0.8.0_p20190807.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+EGO_PN="github.com/docker/libnetwork"
+
+if [[ ${PV} == *9999 ]]; then
+	inherit golang-vcs
+else
+	EGIT_COMMIT="45c710223c5fbf04dc3028b9a90b51892e36ca7f"
+	SRC_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~arm ~arm64 ~ppc64"
+	inherit golang-vcs-snapshot
+fi
+
+DESCRIPTION="Docker container networking"
+HOMEPAGE="https://github.com/docker/libnetwork"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE=""
+
+S=${WORKDIR}/${P}/src/${EGO_PN}
+
+RESTRICT="test" # needs dockerd
+
+src_compile() {
+	GOPATH="${WORKDIR}/${P}" go build -o "bin/docker-proxy" ./cmd/proxy || die
+}
+
+src_install() {
+	dodoc README.md CHANGELOG.md
+	dobin bin/docker-proxy
+}